summaryrefslogtreecommitdiffstats
path: root/development/splint
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-13 00:25:36 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:25:36 +0200
commitf7fdac81525a319d4afadb831f164162f5c7566c (patch)
treee3660f2bbab13dc7df216c3c9cb862005e49764d /development/splint
parent2f4b64dd758ad8311b407e2a478da4986b05cb49 (diff)
downloadslackbuilds-f7fdac81525a319d4afadb831f164162f5c7566c.tar.gz
slackbuilds-f7fdac81525a319d4afadb831f164162f5c7566c.tar.xz
development/splint: Updated for version 3.1.2
Diffstat (limited to 'development/splint')
-rw-r--r--development/splint/README7
-rw-r--r--development/splint/doinst.sh7
-rw-r--r--development/splint/splint.SlackBuild43
-rw-r--r--development/splint/splint.info6
4 files changed, 34 insertions, 29 deletions
diff --git a/development/splint/README b/development/splint/README
index 4abaf535d3..7e2da67c9e 100644
--- a/development/splint/README
+++ b/development/splint/README
@@ -17,6 +17,7 @@ appropriate points on the effort-benefit curve for particular projects.
As different checks are turned on and more information is given in code
annotations the number of bugs that can be detected increases dramatically.
-This package configures splint als the default lint if no other command by
-that name is encountered on the system.
-
+If you want splint to be used as the system default lint, then do this
+after installing splint:
+ cd /usr/bin ; ln -s splint lint
+ cd /usr/man/man1 ; ln -s splint.1.gz lint.1.gz
diff --git a/development/splint/doinst.sh b/development/splint/doinst.sh
deleted file mode 100644
index 15d8003421..0000000000
--- a/development/splint/doinst.sh
+++ /dev/null
@@ -1,7 +0,0 @@
-# If we do not have a lint already:
-if ! command -v lint 1> /dev/null 2> /dev/null ; then
- # Make this the default
- ( cd /usr/bin ; ln -sf splint lint )
- ( cd /usr/man/man1 ; ln -sf splint.1.gz lint.1.gz )
-fi
-
diff --git a/development/splint/splint.SlackBuild b/development/splint/splint.SlackBuild
index 3721e257b0..6d8209861a 100644
--- a/development/splint/splint.SlackBuild
+++ b/development/splint/splint.SlackBuild
@@ -1,33 +1,43 @@
#!/bin/sh
# Slackware build script for splint
-# Written by Menno E. Duursma <druiloor@zonnet.nl>
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
# Modified by the SlackBuilds.org project
+# This program is free software. It comes without any warranty.
+# Granted WTFPL, Version 2, as published by Sam Hocevar. See
+# http://sam.zoy.org/wtfpl/COPYING for more details.
+
PRGNAM=splint
VERSION=3.1.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Exit immediately if a command exits with a non-zero status.
set -e
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.src.tgz
+tar xvf $CWD/$PRGNAM-$VERSION.src.tgz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -36,36 +46,35 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --localstatedir=/var \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
- || exit 1
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . -type f | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . -type f | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp README $PKG/usr/doc/$PRGNAM-$VERSION
-cd doc
-cp manual.pdf $PKG/usr/doc/$PRGNAM-$VERSION
-cd html
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
-cp *.htm *.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/manual.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/html/*.htm{,l} $PKG/usr/doc/$PRGNAM-$VERSION/html
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/splint/splint.info b/development/splint/splint.info
index 7c32a5ce77..3a566d5ba9 100644
--- a/development/splint/splint.info
+++ b/development/splint/splint.info
@@ -3,6 +3,8 @@ VERSION="3.1.2"
HOMEPAGE="http://www.splint.org/"
DOWNLOAD="http://www.splint.org/downloads/splint-3.1.2.src.tgz"
MD5SUM="25f47d70bd9c8bdddf6b03de5949c4fd"
-MAINTAINER="Menno E. Duursma"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Menno Duursma"
EMAIL="druiloor@zonnet.nl"
-APPROVED="Erik Hanson" \ No newline at end of file
+APPROVED="rworkman"